Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 373387 - media-gfx/hugin-2011.0.0 fail to compile; ld cannot find -lwx_gtk2_gl-2.8
Summary: media-gfx/hugin-2011.0.0 fail to compile; ld cannot find -lwx_gtk2_gl-2.8
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-28 17:54 UTC by J.K.
Modified: 2013-11-24 16:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info =media-gfx/hugin-2011.0.0 (emerge.info,4.68 KB, text/plain)
2011-06-28 17:56 UTC, J.K.
Details
build log (build.log,73.61 KB, text/plain)
2011-06-28 17:58 UTC, J.K.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.K. 2011-06-28 17:54:59 UTC
Emerging of Hugin failed because of it could be found lwx_gtk2_gl-2.8. I've tried reemerge wxGTK and everythink about Hugin, but without success.

Reproducible: Always

Steps to Reproduce:
I could not try it on some other computer, sorry, and I don't know, why it crashes.


Expected Results:  
I hope to successfull installation ;)
Comment 1 J.K. 2011-06-28 17:56:44 UTC
Created attachment 278533 [details]
emerge --info =media-gfx/hugin-2011.0.0
Comment 2 J.K. 2011-06-28 17:58:54 UTC
Created attachment 278535 [details]
build log
Comment 3 Agostino Sarubbo gentoo-dev 2011-06-28 19:02:16 UTC
have you x11-libs/wxGTK ? if yes have you tried to recompile it?
Comment 4 J.K. 2011-06-28 19:33:35 UTC
(In reply to comment #3)
> have you x11-libs/wxGTK ? if yes have you tried to recompile it?

Yes, I wrote it above - I have had it and I have trid to recompile it.
Comment 5 Sergey Kishchenko 2011-07-01 08:44:12 UTC
Try  to select correct version of wxwidgets with "eselect wxwidgets"
Comment 6 Mark Wagner 2012-03-26 20:18:36 UTC
(In reply to comment #0)
> Emerging of Hugin failed because of it could be found lwx_gtk2_gl-2.8. I've
> tried reemerge wxGTK and everythink about Hugin, but without success.

It sounds like Hugin requires wxGTK to be built with the "opengl" USE-flag.  Have you tried this?
Comment 7 Justin Lecher gentoo-dev 2013-11-24 16:43:58 UTC
+*hugin-9999 (24 Nov 2013)
+*hugin-2012.0.0-r1 (24 Nov 2013)
+
+  24 Nov 2013; Justin Lecher <jlec@gentoo.org> +hugin-2012.0.0-r1.ebuild,
+  hugin-2013.0.0.ebuild, +hugin-9999.ebuild, +files/hugin-2012.0.0-boost.patch,
+  +files/hugin-2012.0.0-perl.patch, +files/hugin-2013.0.0-boost.patch,
+  metadata.xml:
+  Backport fix for building with newer boost; Use system cmake modules to
+  detect lapack; backport patch to use perl 5.16; fixes bugs
+  #296510,300127,373387,374337,388149,404227,484238
+